/*****************************************************************************
 * Copyright (C) 2007-2009 Christoph Thielecke <crissi99@gmx.de>             *
 *                                                                           *
 * This program is free software; you can redistribute it and/or modify      *
 * it under the terms of the GNU General Public License as published by      *
 * the Free Software Foundation; either version 2 of the License, or         *
 * (at your option) any later version.                                       *
 *                                                                           *
 * This package is distributed in the hope that it will be useful,           *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of            *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
 * GNU General Public License for more details.                              *
 *                                                                           *
 * You should have received a copy of the GNU General Public License         *
 * along with this package; if not, write to the Free Software               *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA *
 *****************************************************************************/

#ifndef PROFILESSHOPTIONS_H
#define PROFILESSHOPTIONS_H

#include <QtGui/QWidget>

#include "ui_profilesshoptionsbase4.h"

class ProfileSshOptions : public QWidget, public Ui_ProfileSshOptionsBase
{
    Q_OBJECT

public:
    ProfileSshOptions(QWidget *parent);
    ~ProfileSshOptions();

    bool dialogModified;

public slots:
    void usePortToggled(bool);
    void sshKeyToggled(bool);
    void sshAuthToggled(bool);
    void useSshConfigRemoteScriptToggled(bool);

private slots:
    void dialogChanged();

signals:
    void changed();

};

#endif
